Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse

From: Visuwesh <[email-masked]>
Date: Sun, 04 Sep 2022 11:24:05 +0530

[ஞாயிறு செப்டம்பர் 04, 2022] Po Lu wrote:

> Visuwesh <[email-masked]> writes:
>
>> I wasn't sure how to make gdb tell me what XtGrabPointer returned but I
>> said `s' after the breakpoint hit and it jumped to line 2890 so I think
>> it means XtGrabPointer returned Success?  Anyway, here's the *gud-emacs*
>> buffer,
>
> Thanks, but if it does return Success, continue execution of Emacs; you
> might be surprised to discover that the menu works normally when you try
> to debug it.

The menus work just fine now.  Only thing that changed from when I wrote
the initial message confirming the reproduction was a 'make bootstrap'
when I updated my local checkout to 1d1158397bce41466078e384eed2d1e214e206de.
I also seem to recall this issue fixing itself when I did a
`make boostrap' at some point before.
I'm not sure if it is useful but this is what stepi and finish says,

    (gdb) run -Q
    Starting program: /home/viz/lib/ports/emacs/src/emacs -Q
    [Thread debugging using libthread_db enabled]
    Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
    [New Thread 0x7ffff15fe640 (LWP 85683)]
    [New Thread 0x7ffff0c6d640 (LWP 85684)]
    [New Thread 0x7fffebfff640 (LWP 85685)]

    Thread 1 "emacs" hit Breakpoint 3, pop_up_menu (mw=0x5555564253d0, event=0x7fffffffd5a0) at xlwmenu.c:2879
    2879	  if (XtGrabPointer ((Widget)mw, False,
    (gdb) stepi
    0x0000555555979490	2879	  if (XtGrabPointer ((Widget)mw, False,
    (gdb) finish
    Run till exit from #0  0x0000555555979490 in pop_up_menu (mw=0x5555564253d0, event=0x7fffffffd5a0) at xlwmenu.c:2879
    Start (w=0x5555564253d0, ev=0x7fffffffd5a0, params=0x0, num_params=0x7fffffffd3ec) at xlwmenu.c:2523
    2523	}
    (gdb) finish
    Run till exit from #0  Start (w=0x5555564253d0, ev=0x7fffffffd5a0, params=0x0, num_params=0x7fffffffd3ec) at xlwmenu.c:2523
    0x00007ffff7ad2fc7 in XtCallActionProc () from /lib/x86_64-linux-gnu/libXt.so.6